package com.sun.xml.internal.ws.api;

import javax.xml.ws.WebServiceFeature;
import com.sun.xml.internal.ws.binding.WebServiceFeatureList;
import java.lang.annotation.Annotation;

public class WebServiceFeatureFactory
{
    public WebServiceFeatureFactory() {
    }
    
    public static WSFeatureList getWSFeatureList(Iterable<Annotation> ann) {
        WebServiceFeatureList list = new WebServiceFeatureList();
        list.parseAnnotations(ann);
        return list;
    }
    
    public static WebServiceFeature getWebServiceFeature(Annotation ann) {
        return WebServiceFeatureList.getFeature(ann);
    }
}
